<html xmlns="https://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="Content-Language" content="zh-CN" />
<link href="../style/css/manual-zip.css" rel="stylesheet" media="all" type="text/css" title="Main stylesheet" />
<link href="../style/css/manual-zip-100pc.css" rel="alternate stylesheet" media="all" type="text/css" title="No Sidebar - Default font size" />
<link href="../style/css/manual-print.css" rel="stylesheet" media="print" type="text/css" />
<meta name="description" content="描述指令的术语 － Apache 2.2 中文手册 [金步国作品集]">
<title>描述指令的术语 － Apache 2.2 中文手册 [金步国]</title>
<script> var _hmt = _hmt || []; (function() { var hm = document.createElement("script"); hm.src = "https://hm.baidu.com/hm.js?2468a2c5d539e359902070bcd91865b1"; var s = document.getElementsByTagName("script")[0]; s.parentNode.insertBefore(hm, s); })(); </script>
</head>
<body id="manual-page"><div id="page-header">
<p class="menu"><a href="../mod/index.html">模块索引</a> | <a href="../mod/directives.html">指令索引</a> | <a href="../faq/index.html">常见问题</a> | <a href="../glossary.html">词汇表</a> | <a href="../sitemap.html">站点导航</a></p><p class="apache">Apache HTTP Server 版本2.2</p><img alt="" src="../images/feather.gif" /></div>
<div class="up"><a href="./index.html"><img title="&lt;-" alt="&lt;-" src="../images/left.gif" /></a></div>
<div id="path"><a href="https://www.apache.org/">Apache</a> &gt; <a href="https://httpd.apache.org/">HTTP Server</a> &gt; <a href="https://httpd.apache.org/docs/">文档</a> &gt; <a href="../index.html">版本2.2</a> &gt; <a href="./index.html">模块</a></div>

<div id="translation-info">　　 <a href="../translator_announcement.html#thanks">致谢</a> | 本篇译者：<a href="https://www.jinbuguo.com/">金步国</a>(<a href="https://www.jinbuguo.com/">作品集</a>) | 本页最后更新：2006年10月20日</div>
<div id="page-content"><div id="preamble"><h1>描述指令的术语</h1>


    <p>本文对用于描述Apache<a href="directives.html">配置指令</a>的术语加以说明。</p>
</div>
	<div class="top"><a href="#page-header"><img alt="top" src="../images/up.gif" /></a></div>
<div class="section">
<h2><a name="Description" id="Description">说明</a></h2>

<p>对指令用途的简单说明。</p>
</div><div class="top"><a href="#page-header"><img alt="top" src="../images/up.gif" /></a></div>
<div class="section">
<h2><a name="Syntax" id="Syntax">语法</a></h2>

    <p>说明该指令在配置文件中使用的形式(随指令的不同而不同)，在指令的定义中有说明。指令后面一般可以跟一个或多个用空格分开的参数。如果参数中有空格，则必须用双引号括起来，用方括号括起来的是可选参数。如果一个参数可以取多个值，则各个可能的值用"|"分开。应该原样输入的文字使用默认字体，而可变的必须按实际情况加以替换的会<em>加强显示</em>。使用可变参数个数的指令以"..."结尾，以表示最后一个参数可以重复。</p>

    <p>指令的参数类型非常多，以下列出常用的部分。</p>

    <dl>
      <dt><em>URL</em></dt>
      <dd>一个完整的包括类型、主机名和可选路径名的统一资源引用名，如：<code>http://www.example.com/path/to/file.html</code></dd>

      <dt><em>URL-path</em></dt>
      <dd><em>URL</em>中类型和主机名之后的部分，如"<code>/path/to/file.html</code>"是表示资源在网络空间(而不是文件系统)中的位置。</dd>

      <dt><em>file-path</em></dt>
      <dd>文件在本地文件系统中相对于根目录的路径，如"<code>/usr/local/apache/htdocs/path/to/file.html</code>"。除非以斜杠(/)开头，否则将被视为相对于<a href="core.html#serverroot">ServerRoot</a>的相对路径。</dd>

      <dt><em>directory-path</em></dt>
      <dd>目录在本地文件系统中相对于根目录的路径，如：<code>/usr/local/apache/htdocs/path/to/</code></dd>

      <dt><em>filename</em></dt>
      <dd>不带路径信息的文件名，如：<code>file.html</code></dd>

      <dt><em>regex</em></dt>
      <dd>Perl兼容的<a class="glossarylink" href="../glossary.html#regex" title="see glossary">正则表达式</a>，是对文本匹配模式的描述。指令的定义中会说明应该使用什么<em>regex</em> 。</dd>

      <dt><em>extension</em></dt>
      <dd>一般是指<em>filename</em>中最后一个"."号后面的部分。不过，Apache可以辨认文件的多个<em>extension</em> ，如果<em>filename</em>中含有多个"."，则第一个"."后面由每个"."分隔开的部分都是此文件的<em>extension</em> 。比如"<code>file.html.en</code>"有两个<em>extension</em> ：<code>.html</code>和<code>.en</code> 。在Apache指令中指定<em>extension</em>时，可以有也可以没有前导的"."，而且不区分大小写。</dd>

      <dt><em>MIME-type</em></dt>
      <dd>一种用一个主格式类型和一个副格式类型并用斜杠分隔的描述文件格式的方法，如：<code>text/html</code></dd>

      <dt><em>env-variable</em></dt>
      <dd>这是Apache配置过程中定义的<a href="../env.html">环境变量</a>的名称。注意，它不一定与操作系统中的环境变量相同。详情参见<a href="../env.html">环境变量文档</a>。</dd>
    </dl>
</div><div class="top"><a href="#page-header"><img alt="top" src="../images/up.gif" /></a></div>
<div class="section">
<h2><a name="Default" id="Default">默认值</a></h2>

    <p>如果该指令有默认值(即如果你没有在配置中明确指定，那么Apache服务器会默认设置一个特定的值，并认为它是你设置的)，会在此处说明。如果没有，则会指明是"<em>None</em>"。注意，此处的默认值并不一定与服务器发行版中默认的httpd.conf中该指令的取值相同。</p>
</div><div class="top"><a href="#page-header"><img alt="top" src="../images/up.gif" /></a></div>
<div class="section">
<h2><a name="Context" id="Context">作用域</a></h2>

    <p>它表示该指令出现在配置文件的什么位置才是合法的。它是一个用逗号分隔的一个或多个下列值的列表：</p>

    <dl>
      <dt>server config</dt>
      <dd>说明该指令可以用于服务器配置文件(<code>httpd.conf</code>)，但<strong>不能</strong>用于任何<code class="directive"><a href="../mod/core.html#virtualhost">&lt;VirtualHost&gt;</a></code>或<code class="directive"><a href="../mod/core.html#directory">&lt;Directory&gt;</a></code>段以及<code>.htaccess</code>文件中。</dd>

      <dt>virtual host</dt>
      <dd>说明该指令可以用于服务器配置文件的<code class="directive"><a href="../mod/core.html#virtualhost">&lt;VirtualHost&gt;</a></code>段中。</dd>

      <dt>directory</dt>
      <dd>说明该指令可以用于服务器配置文件<code class="directive"><a href="../mod/core.html#directory">&lt;Directory&gt;</a></code>, <code class="directive"><a href="../mod/core.html#location">&lt;Location&gt;</a></code>, <code class="directive"><a href="../mod/core.html#files">&lt;Files&gt;</a></code>, <code class="directive"><a href="../mod/mod_proxy.html#proxy">&lt;Proxy&gt;</a></code>段中，并服从<a href="../sections.html">配置段</a>一文的限制。</dd>

      <dt>.htaccess</dt>
      <dd>说明该指令可以用于针对<em>单个</em>目录及其子目录的<code>.htaccess</code>文件中。它可能会因<a href="#Override">overrides</a>的设置而不起作用。</dd>
    </dl>

    <p>指令应该<em>仅仅</em>出现在允许出现的作用域中，否则会产生配置错误，并导致服务器不能正确处理请求，或者根本不能启动。</p>

    <p>指令的有效位置，事实上是其所有被列出的作用域逻辑或的结果。也就是如果一个指令被标为"<code>server config, .htaccess</code>"则可以用于<code>httpd.conf</code>和<code>.htaccess</code> ，但不能用于任何<code class="directive"><a href="../mod/core.html#directory">&lt;Directory&gt;</a></code>或<code class="directive"><a href="../mod/core.html#virtualhost">&lt;VirtualHost&gt;</a></code>容器。</p>
</div><div class="top"><a href="#page-header"><img alt="top" src="../images/up.gif" /></a></div>
<div class="section">
<h2><a name="Override" id="Override">覆盖项</a></h2>

    <p>该属性表示要使<code>.htaccess</code>文件中的该指令有效必须激活的配置覆盖项。如果一个指令的<a href="#Context">作用域</a>不包含<code>.htaccess</code> ，则无此内容。</p>

    <p><code class="directive"><a href="../mod/core.html#allowoverride">AllowOverride</a></code>指令使覆盖生效，并作用于一个特定的范围(比如一个目录)及其下分支，除非又被其下层中其他的<code class="directive"><a href="../mod/core.html#allowoverride">AllowOverride</a></code>指令所修改。对指令的说明中同时列出了其可能的覆盖项。</p>
</div><div class="top"><a href="#page-header"><img alt="top" src="../images/up.gif" /></a></div>
<div class="section">
<h2><a name="Status" id="Status">状态</a></h2>

    <p>状态代表了此指令与Apache服务器结合的紧密程度；也就是说，有可能需要重新编译服务器以获得一个指令的功能。其可能的值有：</p>

    <dl>
      <dt>Core</dt>
      <dd>Apache服务器最核心的部分，始终有效。</dd>

      <dt>MPM</dt>
      <dd>由一个<a href="../mpm.html">多路处理模块</a>提供，此类指令仅仅在使用了指令定义中<a href="#Module">模块</a>一行所列的MPM之一时才有效。</dd>

      <dt>Base</dt>
      <dd>由默认编译进服务器的一个Apache标准模块提供，一般总是有效的，除非你刻意在编译时从配置中删除此模块。</dd>

      <dt>Extension</dt>
      <dd>由一个默认不被编译进服务器的模块提供。要激活此指令并使用其功能，需要修改服务器编译时配置并重新编译Apache。</dd>

      <dt>Experimental</dt>
      <dd>由一个一般来说默认不被编译进服务器的模块提供，并且需要你自己承担使用中的风险。对此指令提供文档是为了保持完整性，而并不一定有技术支持。提供此指令的模块，是否默认被编译进入服务器都有可能，其说明页面的顶部注明了其有效性。</dd>
    </dl>
</div><div class="top"><a href="#page-header"><img alt="top" src="../images/up.gif" /></a></div>
<div class="section">
<h2><a name="Module" id="Module">模块</a></h2>

    <p>对该指令提供支持的模块列表。</p>
</div><div class="top"><a href="#page-header"><img alt="top" src="../images/up.gif" /></a></div>
<div class="section">
<h2><a name="Compatibility" id="Compatibility">兼容性</a></h2>

    <p>如果该指令不是原始Apache2的发行版的一部分，此处会写明此指令应该被使用于哪个版本；另外，如果此指令在特定平台上有功能限制，此处会有详细说明。</p>
</div></div>
<div id="footer">
<p class="apache">本文允许自由的转载、引用、再分发，但必须保留译者署名并注明出处；详见：<a href="../translator_announcement.html#announcement">版权声明</a>。</p>
<p class="menu"><a href="../mod/index.html">模块索引</a> | <a href="../mod/directives.html">指令索引</a> | <a href="../faq/index.html">常见问题</a> | <a href="../glossary.html">词汇表</a> | <a href="../sitemap.html">站点导航</a></p></div>
</body></html>
